/*
 * Copyright (c) 2015 ARM Limited. All rights reserved.
 * SPDX-License-Identifier: Apache-2.0
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __SECURITY_H__
#define __SECURITY_H__
 
#include <inttypes.h>
 
#define MBED_DOMAIN "6bc7f122-40f6-4302-8bfb-134c7c78a549"
#define MBED_ENDPOINT_NAME "c1732d14-044f-4b6e-8a98-f808940be2c7"
 
const uint8_t SERVER_CERT[] = "-----BEGIN CERTIFICATE-----\r\n"
"MIIBmDCCAT6gAwIBAgIEVUCA0jAKBggqhkjOPQQDAjBLMQswCQYDVQQGEwJGSTEN\r\n"
"MAsGA1UEBwwET3VsdTEMMAoGA1UECgwDQVJNMQwwCgYDVQQLDANJb1QxETAPBgNV\r\n"
"BAMMCEFSTSBtYmVkMB4XDTE1MDQyOTA2NTc0OFoXDTE4MDQyOTA2NTc0OFowSzEL\r\n"
"MAkGA1UEBhMCRkkxDTALBgNVBAcMBE91bHUxDDAKBgNVBAoMA0FSTTEMMAoGA1UE\r\n"
"CwwDSW9UMREwDwYDVQQDDAhBUk0gbWJlZDBZMBMGByqGSM49AgEGCCqGSM49AwEH\r\n"
"A0IABLuAyLSk0mA3awgFR5mw2RHth47tRUO44q/RdzFZnLsAsd18Esxd5LCpcT9w\r\n"
"0tvNfBv4xJxGw0wcYrPDDb8/rjujEDAOMAwGA1UdEwQFMAMBAf8wCgYIKoZIzj0E\r\n"
"AwIDSAAwRQIhAPAonEAkwixlJiyYRQQWpXtkMZax+VlEiS201BG0PpAzAiBh2RsD\r\n"
"NxLKWwf4O7D6JasGBYf9+ZLwl0iaRjTjytO+Kw==\r\n"
"-----END CERTIFICATE-----\r\n";
 
const uint8_t CERT[] = "-----BEGIN CERTIFICATE-----\r\n"
"MIIBzzCCAXOgAwIBAgIERS5tJTAMBggqhkjOPQQDAgUAMDkxCzAJBgNVBAYTAkZ\r\n"
"JMQwwCgYDVQQKDANBUk0xHDAaBgNVBAMME21iZWQtY29ubmVjdG9yLTIwMTYwHh\r\n"
"cNMTYwNTE5MTUwODU4WhcNMTYxMjMxMDYwMDAwWjCBoTFSMFAGA1UEAxNJNmJjN\r\n"
"2YxMjItNDBmNi00MzAyLThiZmItMTM0YzdjNzhhNTQ5L2MxNzMyZDE0LTA0NGYt\r\n"
"NGI2ZS04YTk4LWY4MDg5NDBiZTJjNzEMMAoGA1UECxMDQVJNMRIwEAYDVQQKEwl\r\n"
"tYmVkIHVzZXIxDTALBgNVBAcTBE91bHUxDTALBgNVBAgTBE91bHUxCzAJBgNVBA\r\n"
"YTAkZJMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEIKWsTI+P/ndKd36l4z51U\r\n"
"FJaoq6jtV51V2dLp/AVRAXYqsP2sW4/HSHVvadQ3n4GGuqHHoI9X1My7nMFdQAb\r\n"
"PTAMBggqhkjOPQQDAgUAA0gAMEUCIGw/yV58fU1uvV8vH75zkEeFt/Luh8yBuC0\r\n"
"EINe3N+jdAiEAo8FRg+CIUWUfvqJfYOqb1Cai8LJ4JVLgqpmkbdsczyU=\r\n"
"-----END CERTIFICATE-----\r\n";
 
const uint8_t KEY[] = "-----BEGIN PRIVATE KEY-----\r\n"
"MIGHAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBG0wawIBAQQg8lf/W+mFr+tubrAG\r\n"
"0XHIe99vbSubuuX16LHfF/1oHpGhRANCAAQgpaxMj4/+d0p3fqXjPnVQUlqirqO1\r\n"
"XnVXZ0un8BVEBdiqw/axbj8dIdW9p1DefgYa6ocegj1fUzLucwV1ABs9\r\n"
"-----END PRIVATE KEY-----\r\n";
 
#endif //__SECURITY_H__#error "No security.h file, go to https://connector.mbed.com/#credentials to get credentials. Then put it in 6_songs-from-the-cloud/security.h."
